
function vexalarm.colorize.class(msg, spellid, colorize)
	local returnvalue = ""
	local alarmclass = ""
	
	if colorize == "spell" or colorize == "caster" then alarmclass = vexalarm.defaults.spells[tostring(spellid)][5] end
	
	if alarmclass == "" and colorize ~= "spell" then alarmclass = select(2, UnitClass(msg)) end
	
	if alarmclass == nil then alarmclass = "" end
	
	returnvalue = "|CFF"..vexalarm.colorize.getHexClassColor(alarmclass)..msg.."|r"

	return returnvalue
end

function vexalarm.colorize.status(statustext, status, frame)
	local returnvalue = ""
	if status then returnvalue="|CFF"..vexalarm_SV_frame[frame]["tagColors"]["active"]["HEX"]..""..statustext.."|r"
	else	 returnvalue="|CFF"..vexalarm_SV_frame[frame]["tagColors"]["inactive"]["HEX"]..statustext.."|r" end
	return returnvalue
end

function vexalarm.colorize.scTags(msg, sub, frame)
	local color = ""
	if 		sub == 1 then color = vexalarm_SV_frame[frame]["tagColors"]["caster_sc"]["HEX"]
	elseif 	sub == 2 then color = vexalarm_SV_frame[frame]["tagColors"]["target_sc"]["HEX"]
	else 				  color = vexalarm_SV_frame[frame]["tagColors"]["spell_sc"]["HEX"] end
	return "|CFF"..color..msg.."|r"
end

function vexalarm.colorize.decToHex(r,g,b)
	if r == nil then r = 0 end
	if g == nil then g = 0 end
	if b == nil then b = 0 end
    return string.format("%02x%02x%02x", r*250, g*250, b*250)
end

function vexalarm.colorize.getHexClassColor(class)
	if RAID_CLASS_COLORS[class] ~= nil then
		return vexalarm.colorize.decToHex( RAID_CLASS_COLORS[class]["r"], RAID_CLASS_COLORS[class]["g"], RAID_CLASS_COLORS[class]["b"])
	else
		return "FFFFFF"
	end
end